# rules.yaml - Surge 規則配置中心

# 1. AI 规则 surge/rules/ai.list
ai.list:
  sources:
    - 'https://ruleset.skk.moe/List/non_ip/ai.conf'
    - 'https://ruleset.skk.moe/List/non_ip/apple_intelligence.conf'
    - 'https://raw.githubusercontent.com/EAlyce/conf/refs/heads/main/Rule/OpenAI.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Surge/OpenAI/OpenAI.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Surge/Claude/Claude.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Surge/Gemini/Gemini.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Surge/Copilot/Copilot.list'
  rules:

# 2. 开发规则 surge/rules/dev.list
dev.list:
  sources:
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Surge/GitHub/GitHub.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/GitLab/GitLab.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Developer/Developer.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Docker/Docker.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Reddit/Reddit.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Electron/Electron.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Python/Python.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Anaconda/Anaconda.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Android/Android.list'
    - 'https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Surge/Ubuntu/Ubuntu.list'
  rules:
    - 'DOMAIN-SUFFIX,github.com'
    - 'DOMAIN-SUFFIX,github.io'
    - 'DOMAIN-SUFFIX,githubapp.com'
    - 'DOMAIN-SUFFIX,githubassets.com'
    - 'DOMAIN-SUFFIX,githubusercontent.com'
    - 'DOMAIN-SUFFIX,ghcr.io'
    - 'DOMAIN-SUFFIX,fastly.net'
    - 'DOMAIN-SUFFIX,docker.com'
    - 'DOMAIN-SUFFIX,docker.io'
    - 'DOMAIN-SUFFIX,gcr.io'
    - 'DOMAIN-SUFFIX,registry.k8s.io'
    - 'DOMAIN-SUFFIX,quay.io'
    - 'DOMAIN-SUFFIX,redhat.com'
    - 'DOMAIN-SUFFIX,redhat.io'
    - 'DOMAIN-SUFFIX,npmjs.com'
    - 'DOMAIN-SUFFIX,npmjs.org'
    - 'DOMAIN-SUFFIX,npm.community'
    - 'DOMAIN-SUFFIX,yarnpkg.com'
    - 'DOMAIN-SUFFIX,pnpm.io'
    - 'DOMAIN-SUFFIX,electronjs.org'
    - 'DOMAIN-SUFFIX,cypress.io'
    - 'DOMAIN-SUFFIX,go.dev'
    - 'DOMAIN-SUFFIX,golang.org'
    - 'DOMAIN-SUFFIX,googlesource.com'
    - 'DOMAIN-SUFFIX,pypi.org'
    - 'DOMAIN-SUFFIX,python.org'
    - 'DOMAIN-SUFFIX,pythonhosted.org'
    - 'DOMAIN-SUFFIX,rust-lang.org'
    - 'DOMAIN-SUFFIX,crates.io'
    - 'DOMAIN-SUFFIX,maven.org'
    - 'DOMAIN-SUFFIX,apache.org'
    - 'DOMAIN-SUFFIX,gradle.org'
    - 'DOMAIN-SUFFIX,gradle-dn.com'
    - 'DOMAIN-SUFFIX,spring.io'
    - 'DOMAIN-SUFFIX,sonatype.org'
    - 'DOMAIN-SUFFIX,packagist.org'
    - 'DOMAIN-SUFFIX,composer.org'
    - 'DOMAIN-SUFFIX,rubygems.org'
    - 'DOMAIN-SUFFIX,brew.sh'
    - 'DOMAIN-SUFFIX,bintray.com'
    - 'DOMAIN-SUFFIX,ubuntu.com'
    - 'DOMAIN-SUFFIX,canonical.com'
    - 'DOMAIN-SUFFIX,launchpad.net'
    - 'DOMAIN-SUFFIX,centos.org'
    - 'DOMAIN-SUFFIX,fedoraproject.org'
    - 'DOMAIN-SUFFIX,debian.org'
    - 'DOMAIN-SUFFIX,debian.net'
    - 'DOMAIN-SUFFIX,archlinux.org'
    - 'DOMAIN-SUFFIX,alpinelinux.org'
    - 'DOMAIN-SUFFIX,s3.amazonaws.com'
    - 'DOMAIN-SUFFIX,googleapis.com'
    - 'DOMAIN-SUFFIX,windows.net'
    - 'DOMAIN-SUFFIX,stackoverflow.com'
    - 'DOMAIN-SUFFIX,sstatic.net'
    - 'DOMAIN-SUFFIX,ycombinator.com'
    - 'DOMAIN-SUFFIX,v2ex.com'
    - 'DOMAIN-SUFFIX,nodeseek.com'
